/*
 * **************************************************************************************
 * Copyright (C) 2021 FoE-Helper team - All Rights Reserved
 * You may use, distribute and modify this code under the
 * terms of the AGPL license.
 *
 * See file LICENSE.md or go to
 * https://github.com/mainIine/foe-helfer-extension/blob/master/LICENSE.md
 * for full license details.
 *
 * **************************************************************************************
 */

#stats {
	top: calc(50% - 375px);
	left: calc(50% - 550px);
}

#statsBody {
	width: 1100px;
	max-height: 800px;
	overflow: scroll;
}

#stats #highcharts {
	height: 670px;
}

#stats .options {
	display: flex;
	flex-direction: row;
	justify-content: space-around;
	align-items: center;
	background-color: var(--black-50);
	height: 50px;
	border-bottom: 2px solid #864c1e;
}

#stats .options-2 {
	display: flex;
	flex-direction: row;
	justify-content: space-between;
}

#stats .options-2 .btn-tight {
	margin: 2px 0;
}

#stats .option-era-dropdown {
	width: 146px;
}

#stats .option-era-wrap {
	width: 370px;
}

#stats .tabs  {
	width: 406px;
	align-self: flex-end;
}

#stats .option-chart-type-wrap {
	width: 170px;
	font-size: 85%;
}

#stats .option-chart-type-wrap span {
	padding: 2px;
}

#stats .option-chart-type-wrap span.active {
	color: var(--text-bright);
}

#stats .option-source-wrap {
	display: flex;
	flex-wrap: wrap;
	flex-direction: column;
	align-items: baseline;
	align-content: baseline;
}

.hidden {
	visibility: hidden;
}

@media (max-height: 1080px) {
	#stats {
		top: 0;
	}

	#statsBody {
		max-height: 700px;
	}

	#stats #highcharts {
		height: 570px;
	}
}

/* Highcharts table wrapper */
#stats .highcharts-data-table {
	overflow: scroll;
	user-select: text;
}

#stats .highcharts-data-table caption {
	font-size: 150%;
	text-align: left;
	margin-top: 10px;
	margin-left: 20px;
}

/* Highcharts table */
#stats .highcharts-data-table table {
	border-spacing: 0;
	border-collapse: separate;
	width: 100%;
	background-color: transparent;
}

#stats .highcharts-data-table table thead tr th,
#stats .highcharts-data-table table th,
.thead th {
	background-color: rgba(0,0,0, 0.5);
}

#stats .goods-sprite-50 {
	width: 30px;
}

#stats .highcharts-data-table table tbody tr:nth-child(odd) {
	background-color: rgba(255,255,255, 0.07);
}

#stats .highcharts-data-table table:not(.no-hover) tbody tr:hover {
	background-color: var(--background-table-hover);
}

#stats .highcharts-data-table table tr th {
	white-space: nowrap;
}

#stats .highcharts-data-table table tr th,
#stats .highcharts-data-table table tr td {
	padding: 2px 5px;
}

#stats .highcharts-data-table table tr td {
	border-top: 1px solid var(--border-table-top);
	border-bottom: 1px solid var(--border-table-bottom);
}

#stats .tabs .horizontal {
	border-bottom: none;
}

#stats .window-body .tabs ul.horizontal li {
	margin-right: 2px;
}

#stats .tabs ul li a span {
	background: transparent url('../images/tabs.png') -233px 5px no-repeat;
	width: 24px;
}
#stats .tabs ul li.statsTreasurePlayerD a span {
	background-position: 0 4px;
}
#stats .tabs ul li.statsTreasurePlayerH a span {
	background-position: -40px 4px;
}
#stats .tabs ul li.statsTreasureClanD a span {
	background-position: -80px 6px;
}
#stats .tabs ul li.statsTreasureClanH a span {
	background-position: -120px 6px;
}
#stats .tabs ul li.statsUnitsD a span {
	background-position: -160px 6px;
}
#stats .tabs ul li.statsUnitsH a span {
	background-position: -200px 6px;
}
#stats .tabs ul li.statsRewards a span {
	background-position: -280px 4px;
}
#stats .tabs ul li.statsGBGPlayers a span {
	background-position: -237px 4px;
}